package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.OutBoundDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.OutBoundInfo;
import com.tofly.watermeter.entity.Bwckdatail;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author 泡泡
 */
public interface OutBoundService {

    /**
     * 出库工单统计
     * @param response response
     * @param page page
     * @param dto 条件
     * @return page
     */
    Page count(HttpServletResponse response, Page page, OutBoundDto dto);

    /**
     * 工单详情统计
     * @param response response
     * @param page page
     * @param dto 条件
     * @return page
     */
    Page countByWorkOrder(HttpServletResponse response, Page page, OutBoundDto dto);

    /**
     * 查询工单水表详细信息
     * @param response response
     * @param page  page
     * @param dto dto
     * @return page
     */
    Page queryTableInfo(HttpServletResponse response, Page page, OutBoundDto dto);

    /**
     * 水表出库
     * @param dto 数据
     * @return Boolean
     */
    boolean tableOutBound(OutBoundInfo dto);

    Page<Map> getWareHousinginfo(Page page,OutBoundDto dto);

    List<Bwckdatail> getCkCount(String code);

    /**
     * 异常表处理
     * @param code code
     * @return list
     */
    List<String> abnormalTables(String code);

    /**
     * 获取所有合同信息
     * @return list
     */
    List<String> getContractInfo();

}
